<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

?>
<?php
/**
 * Category view template
 *
 * @var $block \MGS\Landing\Block\Landing
 */
?>

<?php $_categories = $block->getChildCategory(); ?>

<?php //Block Config ?>
<?php $per_row = $block->getConfig('mgs_landing/general/per_row'); ?>
<?php $shortdes = $block->getConfig('mgs_landing/general/show_shortdes'); ?>
<?php $character = $block->getConfig('mgs_landing/general/character'); ?>

<?php // Block Content ?>



<ol class="products product-list-masonry-change-product list items product-items row row-col-lg-3">
    <?php $i =0; foreach ($_categories as $_category): $i++;
    $_category = $block->getCategoryById($_category->getId());
    ?>
    <?php 

$categoryId = $_category->getId();
$_objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$_category = $_objectManager->create('Magento\Catalog\Model\Category')->load($categoryId);
if (!$_category->getIncludeInMenu()) {
              continue;
            }
    ?>

        <?php if ($_category->getIsActive()): ?>
  <li class="item product product-item-masonry product-item-info product-item col-sm-4 first-row-item first-sm-item first-xs-item enable" style="">
    <div class="item-product-col">
      <div class="product-top">
        <a href="<?php echo $block->getCategoryUrl($_category) ?>" title="<?php echo $block->escapeHtml($_category->getName()) ?>">
          

      
                       
                                                         <?php
                                                         if ($_category->getNewImage()) {
      $_outputhelper    = $this->helper('Magento\Catalog\Helper\Output');
          $_imgHtml   = '';
          if ($_imgUrl = $_category->getNewImage()) {
            
              $_imgHtml = '<img alt = ".$block->escapeHtml($_category->getName())." class="img-responsive" src="' . $_imgUrl . '" />';
              $_imgHtml = $_outputhelper->categoryAttribute($_category, $_imgHtml, 'image');
              /* @escapeNotVerified */ echo $_imgHtml;
          }
        }

                                  ?>              
  


                          </a>
      </div>
      <div class="landing-categories-detail">
          <a class="landing-cat-title" href="<?php echo $block->getCategoryUrl($_category) ?>" title="<?php echo $block->escapeHtml($_category->getName()) ?>"><?php echo $block->escapeHtml($_category->getName()) ?></a>
      </div>
    </div>
  </li>
      <?php endif; ?>
    <?php endforeach ?>
</ol>


<script type="text/javascript">
    requirejs([
        'require',
        'jquery',
        'mgs/isotope'
    ], function( require, $, Isotope ) {
        require( [ 'bridget' ], function( jQueryBridget ) {
            jQueryBridget( 'isotope', Isotope, $ );
            $(window).load(function() {
                var container = $('.landing-categories--grid').isotope({
                    itemSelector: '.landing-masonry-item',
                    percentPosition: true,
                    masonry: {
                        columnWidth: '.landing-masonry-item'
                    }
                });
            });
        });
    });
</script>
